# Class PreferencesDialog

java.lang.Object
jam.preferences.PreferencesDialog

public class PreferencesDialog extends Object
PreferencesDialog.java

Version:
  $Id: PreferencesDialog.java 960 2008-12-01 07:26:01Z rambaut $
Author:
  Andrew Rambaut

## Constructor Summary

Constructors
Constructor
Description
`PreferencesDialog(JFrame frame)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSection(PreferencesSection section)`
`void`
`showDialog()`
`void`
`showSection(String title)`
`void`
`storePreferences()`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PreferencesDialog

public PreferencesDialog(JFrame frame)

## Method Details

### showDialog

public void showDialog()

### storePreferences

public void storePreferences()

### showSection

public void showSection(String title)

### addSection

public void addSection(PreferencesSection section)